ComboMealForMainComboItem

  • id
    Type: stringFormat: uuid
    required

    Unique identifier for the given combo meal.

  • combo_groups
    Type: array object[] · ComboGroupForComboMeal[]
    • id
      Type: stringFormat: uuid
      required

      Unique identifier for the given combo group.

    • type_id
      Type: integer
      min:  
      1
      max:  
      2
      required

      Type ID of the reference type for the given combo group (1 - Main, 2 - Side).

    • combo_items
      Type: array object[] · ComboItemForComboGroup[]
    • combo_meal_id
      Type: stringFormat: uuid

      Unique identifier for the connected combo meal. Optionally added in the include query parameter as "combo_meal_id" in the part of the combo groups include.

Examples
{
  "id": "b673ac6a-c097-46cf-829e-ca5b956727dc",
  "combo_groups": [
    {
      "id": "a29d8ddb-16ed-4716-9e0f-ae17c35749f7",
      "combo_meal_id": "b673ac6a-c097-46cf-829e-ca5b956727dc",
      "type_id": 2,
      "combo_items": [
        {
          "id": "6d24c102-ac27-4029-8c31-8f01b5efba6b",
          "combo_group_id": "a29d8ddb-16ed-4716-9e0f-ae17c35749f7",
          "is_preselected": false,
          "price_by_order_type": 1000,
          "menu_item_price_level": {
            "id": "abe0a2d1-d851-4027-81e1-96f612c4718f",
            "price_by_order_type": 1000
          },
          "menu_item": {
            "id": "fea99034-56fc-42df-90a1-e62d2fe73d72",
            "subcategory_id": "39131833-05e7-48cb-ac06-f5b2a3292162"
          }
        }
      ]
    }
  ]
}